<?php
/** 
* @file bbc_script_adm.php
* Admin Systemblock BBC_SCRIPT
*
* @author PortaMx - Portal Management Extension
* @author Copyright 2008-2009 by PortaMx - http://portamx.com
* @Version: 0.957
* @Date: 11.03.2009
*/

if(!defined('PortaMx'))
	die('This file can\'t be run without PortaMx');

global $context, $txt;

/// Registerblock setup (description & icon)
$context['PortaMx']['RegisterBlocks']['bbc_script'] = array(
		'description' => $txt['pmx_bbc_script_description'],
		'blocktype' => $txt['pmx_sysblock'],
		'icon' => 'bbc',
);

/**
* @class pmxc_bbc_script_adm
* Admin Systemblock BBC_SCRIPT
* @see bbc_script_adm.php
* @author Copyright by PortaMx - http://portamx.com
*/
class pmxc_bbc_script_adm extends PortaMxC_SystemAdminBlock
{
	/**
	* AdmBlock_content().
	* Open a the richtext editor, to create or edit the content.
	* Returns the AdmBlock_settings
	*/
	function pmxc_AdmBlock_content()
	{
		global $context, $txt;

		// show the content area
		echo '
					<td valign="top" colspan="2" style="padding:4px;">
						<div class="titlebg adm_center_titlebar">'. $txt['pmx_edit_content'] .'</div>
						<div style="padding:5px;">
							', template_control_richedit($context['PortaMx']['editorID'], 'bbc'), '
						</div>
						<div style="padding:5px;">
							', template_control_richedit($context['PortaMx']['editorID'], 'smileys'), '
						</div>
						<div style="padding:5px;">
							', template_control_richedit($context['PortaMx']['editorID'], 'message'), '
						</div>
					</td>
				</tr>
				<tr class="windowbg">';

				// If the WYSIWYG editor available and active on save, we need a special handling.
				// The doSubmit() copied the html back to the textarea and we send a html_to_bbc.
				// On this, the Post handler convert the html back to bbc code.
				echo '
				<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
					function PmX_RichEdit_Submit()
					{ 
						if(editorHandle'. $context['PortaMx']['editorID'].'.bRichTextPossible && editorHandle'. $context['PortaMx']['editorID'].'.bRichTextEnabled)
						{
							editorHandle'. $context['PortaMx']['editorID'].'.doSubmit();
							document.getElementById("extra_cmd").name = "html_to_bbc";
							document.getElementById("extra_cmd").value = "1";
						}
					}
				// ]]></script>';

		// return the default settings
		return $this->pmxc_AdmBlock_settings();
	}
}
?>