<?php
/** 
* @file AdminBlocks.template.php
* Template for the Blocks Manager.
*
* @author PortaMx - Portal Management Extension
* @author Copyright 2008-2009 by PortaMx - http://portamx.com
* @Version: 0.957
* @Date: 11.03.2009
*/

/**
* The main Subtemplate.
*/
function template_main()
{
	global $context, $settings, $options, $user_info, $txt, $scripturl;

	echo '
	<form id="pmx_form" accept-charset="', $context['character_set'], '" name="PMxAdminBlocks" action="' . $scripturl . '?action='. $context['PortaMx']['AdminMode'] .';area=pmx_blocks;sa='. $context['PortaMx']['subaction'] .';'. $context['session_var'] .'=' .$context['session_id'] .'" method="post" style="margin: 0px;">
		<table width="100%" cellspacing="0" cellpadding="0" class="tborder">
			<tr class="windowbg2">
				<td valign="top">
					<input type="hidden" name="sc" value="', $context['session_id'], '" />
					<input id="common_field" type="hidden" name="" value="" />
					<input id="extra_cmd" type="hidden" name="" value="" />';

	if($context['PortaMx']['editaction'] == 'adm_editnewblock')
	{
		echo '
					<input type="hidden" name="new_block" value="0" />';
		$context['PortaMx']['editaction'] = 'adm_editblock';
	}

	// --------------------
	// all blocks overview
	// --------------------
	if(empty($context['PortaMx']['editaction']))
	{
		$allsides = array_keys($txt['pmx_block_sides']);

		foreach($allsides as $side)
		{
			$PageAccess = allowedTo('manage_portamx') && isset($context['PortaMx']['settings']['manager']['admin_pages']) && in_array($side, $context['PortaMx']['settings']['manager']['admin_pages']);
			if($context['PortaMx']['subaction'] == 'all' || $context['PortaMx']['subaction'] == $side)
			{
				echo '
					<table width="100%" cellpadding="1" cellspacing="1" class="tborder" style="margin-bottom:5px;">
						<tr class="windowbg">
							<td colspan="6" class="catbg smallpadding">'.
									$txt['pxm_sideblock'][$side] .'
							</td>
							<td class="catbg smallpadding" align="center">';

				if(AllowedTo('admin_forum') || $PageAccess)
					echo '
								<img src="'. $context['PMx_imageurl'] .'page_new.gif" alt="*" title="'. $txt['pxm_add_sideblock'][$side] .'" style="cursor:pointer;" onclick="FormFunc(\'add_new_block\', \''. $side .'\')" />';
				else
					echo '
								<img src="'. $context['PMx_imageurl'] .'empty.gif" alt="" title="" />';

				echo '
							</td>
						</tr>
						<tr class="windowbg">
							<td class="titlebg2" style="padding:1px 5px;"><div style="width:75px;">'. $txt['pmx_admBlk_order'] .'</div></td>
							<td class="titlebg2" style="padding:1px 5px;">'. $txt['pmx_admBlk_adj'] .'</td>
							<td class="titlebg2" width="35%" style="padding:1px 5px;">'. $txt['pmx_admBlk_title'] .' ['. $user_info['language'] .']</td>
							<td class="titlebg2" width="30%" style="padding:1px 5px;">'. $txt['pmx_admBlk_type'] .'</td>
							<td class="titlebg2" style="padding:1px 5px;">'. $txt['pmx_admBlk_status'] .'</td>
							<td class="titlebg2" style="padding:1px 5px;"><div style="width:165px;">'. $txt['pmx_admBlk_options'] .'</div></td>
							<td class="titlebg2" style="padding:1px 5px;"><div style="width:70px;">'. $txt['pmx_admBlk_functions'] .'</div></td>
						</tr>';

				if(isset($context['PortaMx']['admblocks'][$side]))
				{
					$blockcount = count($context['PortaMx']['admblocks'][$side]);
					$ccount = $blockcount;
					// call the ShowAdmBlockOverview methode
					foreach($context['PortaMx']['admblocks'][$side] as $blk)
					{
						$blk->pmxc_ShowAdmBlockOverview($side, ($blockcount == 1 ? '0:0' : ($blockcount == $ccount ? '1:0' : ($ccount > 1 ? '1:1' : ($ccount == 1 ? '0:1' : '0:0')))));
						$ccount--;
					}
				}

				echo '
					</table>';
			}
		}
		echo '
				</td>
			</tr>
			<tr class="windowbg2">
				<td align="center" style="padding-bottom:5px;">
					<input type="button" value="'.$txt['pmx_save'].'" name="" onclick="FormFunc(\'save_pos\', \'1\')" />';
	}

	// --------------------
	// singleblock edit
	// --------------------
	elseif($context['PortaMx']['editaction'] == 'adm_editblock')
	{
		echo '
					<input type="hidden" name="sa" value="adm_editblock" />
					<table width="100%" cellpadding="1" cellspacing="1" class="tborder" style="margin-bottom:5px;table-layout:fixed;">
						<tr class="windowbg">
							<td colspan="2" class="catbg smallpadding" align="center">'.
									$txt['pxm_editblock'] .' '. $context['PortaMx']['adm_editblock']->register_blocks[$context['PortaMx']['adm_editblock']->cfg['blocktype']]['blocktype'] .' '. $context['PortaMx']['adm_editblock']->register_blocks[$context['PortaMx']['adm_editblock']->cfg['blocktype']]['description'] .'
							</td>
						</tr>';

		// call the ShowAdmBlockConfig() methode
		$context['PortaMx']['adm_editblock']->pmxc_ShowAdmBlockConfig();

		echo '
					</table>
				</td>
			</tr>
			<tr class="windowbg2">
				<td align="center" style="padding-bottom:5px;">
					<input type="button" value="'.$txt['pmx_save'].'" name="" onclick="FormFunc(\'save_edit\', \''. $context['PortaMx']['adm_editblock']->pmxc_AdmBlock_getConfig('id') .'\')" />';
	}
	echo '
				</td>
			</tr>
		</table>
		<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
			var upshrinkVis = new smfToggle("upshrink_visual", '. (empty($options['collapse_visual']) ? 'false' : 'true') .');
			upshrinkVis.useCookie('. ($context['user']['is_guest'] ? 1 : 0) .');
			upshrinkVis.setOptions("collapse_visual", "'. $context['session_id'] .'");
			upshrinkVis.addToggleImage("upshrinkImgVisual", "'. $context['PMx_imageurl'] .'collapse.gif", "'. $context['PMx_imageurl'] .'expand.gif", true);
			upshrinkVis.addTogglePanel("upshrinkVisual");
			upshrinkVis.addTogglePanel("upshrinkVisual1");
			upshrinkVis.addTogglePanel("upshrinkVisual2");
		// ]]></script>
		</form>';
}
?>