<?php
/** 
* @file Admin.template.php
* Template for the Admin Center.
*
* @author PortaMx - Portal Management Extension
* @author Copyright 2008-2009 by PortaMx - http://portamx.com
* @Version: 0.957
* @Date: 11.03.2009
*/

function template_main()
{
	global $context, $settings, $scripturl, $txt;

	echo '
		<table width="100%" cellspacing="0" cellpadding="0" style="margin-top:1px;">
			<tr class="titlebg">
				<td align="center" class="largetext headerpadding">', $txt['pmx_admin_center'], '</td>
			</tr>
			<tr>
				<td class="tborder normaltext" valign="top">
					<div class="windowbg" style="padding: 7px;">
						<b>', $txt['hello_guest'], ' ', $context['user']['name'], '!</b>
						<div class="smalltext" style="padding-top: 1ex;">
						'. sprintf($txt['pmx_admin_main_welcome'], '<img src="'. $context['PMx_imageurl'] .'information.gif" alt="*" title="" style="margin-bottom:-3px;" />') .'
						</div>
					</div>
				</td>
			</tr>
			<tr>
				<td valign="top">';

	// Admin center main ?
	if($context['PortaMx']['subaction'] == 'main')
	{
		echo '
					<table width="100%" cellspacing="0" cellpadding="0"  style="margin-top: 0.5em;">
						<tr>
							<td class="catbg" width="60%" style="padding:5px 5px;">'. $txt['pmx_center_news'] .'</td>
							<td width="5" style="padding:0px 3px;"></td>
							<td class="catbg" width="40%" style="padding:5px 5px;">'. $txt['pmx_center_support'] .'</td>
						</tr>
						<tr>
							<td class="tborder" valign="top">
								<div class="smalltext" style="height:115px; overflow:auto;">';

			if(!empty($context['pmx_info']['item']))
			{
				foreach($context['pmx_info']['item'] as $data)
					echo '
									<div style="padding:0px 4px;">
										'. $data['subject'] .'<br />'. $data['date'] .'
										<div style="padding:4px 4px 10px 4px;border-top: 1px dashed;">'. $data['msg'] .'</div>
									</div>';
			}
			else
				echo '
									<div style="padding:0px 4px;">'. $txt['pmx_center_nolivedata'] .'</div>';

			echo '
								</div>
							</td>
							<td width="5" style="padding:0px 3px;"></td>
							<td class="tborder" valign="top">
								<div style="height:100px;">
									<div class="normaltext" style="padding:2px 4px;">'. $txt['pmx_center_versioninfo'] .'<br />'.
										$txt['pmx_center_installed'] .'<i>'. $context['pmx_info']['installed'] .'</i><br />'.
										$txt['pmx_center_version'] .'<i>';

			if(!empty($context['pmx_info']['versionOK']))
				echo $context['pmx_info']['version'];
			else
				echo '<b>'. $context['pmx_info']['version'] .'</b>';
			echo	'</i>
									</div>
									<div class="normaltext" style="padding:2px 3px;">';

			if(!empty($context['pmx_info']['update']) && empty($context['pmx_info']['versionOK']))
        echo '
										<a href="'. $scripturl .'?action=admin;area=packages;sa=download;get;server='. $context['pmx_info']['updserver'] .';package='. $context['PortaMx']['server']['update'] . $context['pmx_info']['update'] .';'. $context['session_var'] .'='. $context['session_id'] .'">'. $txt['pmx_center_update'] .'</a>';

			echo '
									</div>
									<div class="normaltext" style="padding:2px 3px;">';

			if(!empty($context['pmx_info']['download']) && empty($context['pmx_info']['versionOK']))
				echo '
										<a href="'. $context['pmx_info']['download'] .'">'. $txt['pmx_center_download'] .'</a>';

			echo '
									</div>
								</div>
								<div class="normaltext" style="position:relative; left:3px; bottom:3px;">
									<a href="'. $scripturl .'?action=admin;area=pmx_center;sa=flist;'. $context['session_var'] .'=' .$context['session_id'] .'">'. $txt['pmx_center_detailed'] .'</a>
								</div>
						</tr>
						<tr>
							<td colspan="3" style="padding-top:0.4em;">
								<table class="tborder normaltext" width="100%" cellspacing="0" cellpadding="0">
									<tr>
										<td  class="windowbg" valign="top" width="50%" style="padding:5px 5px;">
											<a href="'. $scripturl .'?action=admin;area=pmx_settings;'. $context['session_var'] .'=' .$context['session_id'] .'"><img align="left" hspace="10" src="'. $context['PMx_imageurl'] .'admc_settings.gif" alt="*" title="" /></a>
											<a href="'. $scripturl .'?action=admin;area=pmx_settings;'. $context['session_var'] .'=' .$context['session_id'] .'">'. $txt['pmx_center_mansettings'] .'</a><br /><span class="smalltext">'. $txt['pmx_center_mansettings_desc'] .'</span>
										</td>
										<td  class="windowbg" valign="top" width="50%" style="padding:5px 5px;">
											<a href="'. $scripturl .'?action=admin;area=pmx_blocks;'. $context['session_var'] .'=' .$context['session_id'] .'"><img align="left" hspace="10" src="'. $context['PMx_imageurl'] .'admc_blocks.gif" alt="*" title="" /></a>
											<a href="'. $scripturl .'?action=admin;area=pmx_blocks;'. $context['session_var'] .'=' .$context['session_id'] .'">'. $txt['pmx_center_manblocks'] .'</a><br /><span class="smalltext">'. $txt['pmx_center_manblocks_desc'] .'</span>
										</td>
									</tr>
									<tr>
										<td  class="windowbg" valign="top" width="50%" style="padding:5px 5px;">
											<a href="'. $scripturl .'?action=admin;area=pmx_center;sa=showlang;'. $context['session_var'] .'=' .$context['session_id'] .'"><img align="left" hspace="10" src="'. $context['PMx_imageurl'] .'admc_langs.gif" alt="*" title="" /></a>
											<a href="'. $scripturl .'?action=admin;area=pmx_center;sa=showlang;'. $context['session_var'] .'=' .$context['session_id'] .'">'. $txt['pmx_center_manlangs'] .'</a><br /><span class="smalltext">'. $txt['pmx_center_manlangs_desc'] .'</span>
										</td>
										<td  class="windowbg" valign="top" width="50%" style="padding:5px 5px;">
											<a href="'. $scripturl .'?action=admin;area=pmx_center;sa=admbook;'. $context['session_var'] .'=' .$context['session_id'] .'" onclick="return AdmDocWindow(this.href);"><img align="left" hspace="10" src="'. $context['PMx_imageurl'] .'admc_admin.gif" alt="*" title="" /></a>
											<a href="'. $scripturl .'?action=admin;area=pmx_center;sa=admbook;'. $context['session_var'] .'=' .$context['session_id'] .'" onclick="return AdmDocWindow(this.href);">'. $txt['pmx_center_manadmin'] .'</a><br /><span class="smalltext">'. $txt['pmx_center_manadmin_desc'] .'</span>
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>';
	}

	// Detailed filelist ?
	if($context['PortaMx']['subaction'] == 'flist')
	{
		echo '
					<table width="100%" cellspacing="0" cellpadding="0" style="margin-top: 0.5em;">
						<tr>
							<td class="catbg headerpadding">'. $txt['pmx_center_vercheck'] .'</td>
						</tr>
						<tr>
							<td class="windowbg2 tborder" valign="top" style="padding:5px 5px;">
								'. $txt['pmx_center_vercheck_info'] .'
							</td>
						</tr>
						<tr>
							<td class="windowbg tborder" valign="top" style="padding:5px 20px;">
								<table  class="normaltext" width="100%" cellspacing="0" cellpadding="1">
									<tr>
										<td valign="top" width="50%">'. $txt['pmx_center_file'] .'</td>
										<td valign="top" align="right" width="25%">'. $txt['pmx_center_fileinstalled'] .'</td>
										<td valign="top" align="right" width="25%">'. $txt['pmx_center_filecurrent'] .'</td>
									</tr>
									<tr>';

		foreach($context['pmx_info'] as $dirtext => $data)
		{
			echo '
									<tr>
										<td>';
			if($dirtext == 'pmx_filepackage')
				echo $txt[$dirtext];
			else
				echo '<a href="javascript:void(0);" onclick="return ToggleFileList(\''. $dirtext .'\');">'. $txt[$dirtext] .'</a>';
			echo '</td>
										<td align="right">'. $data['installed'] .'</td>
										<td align="right">'. $data['current'] .'</td>
									</tr>
									<tr>
										<td colspan="3">
											<div id="'. $dirtext .'" style="display:none; padding:3px 0px 5px 10px;">
												<table width="100%" cellspacing="0" cellpadding="0">
													<tr>
														<td width="65%">'. $txt['pmx_center_filename'] .'</td>
														<td width="15%" align="right">'. $txt['pmx_center_fileversion'] .'</td>
														<td width="20%" align="right">'. $txt['pmx_center_filedate'] .'</td>
													</tr>';

			foreach($data['files'] as $file => $value)
			{
				if(!empty($file))
					echo '
													<tr>
														<td valign="top">'. $value['subdir'] . $file .'</td>
														<td valign="top" align="right">'. $value['version'] .'</td>
														<td valign="top" align="right">'. $value['date'] .'</td>
													</tr>';
			}
			echo '
												</table>
											</div>
										</td>
									</tr>';
		}

		echo '
									<tr>
										<td colspan="3" style="padding:0.2em;text-align:center"><hr />
											<input type="button" name="back" value="'. $txt['page_reqerror_button'] .'" onclick="window.location.href=\''. $scripturl .'?action=admin;area=pmx_center\'" />
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>';
	}

	// Show languages ?
	if($context['PortaMx']['subaction'] == 'showlang')
	{
		echo '
					<form id="pmx_form" accept-charset="'. $context['character_set'] .'" name="PMxAdmCenter" action="' . $scripturl . '?action=admin;area=pmx_center;sa=admlang;'. $context['session_var'] .'=' .$context['session_id'] .'" method="post" style="margin: 0px;">
					<input type="hidden" name="sc" value="'. $context['session_id'] .'" />
					<input id="common_field" type="hidden" name="" value="" />';

		echo '
					<table width="100%" cellspacing="0" cellpadding="0" style="margin-top: 0.5em;">
						<tr>
							<td class="titlebg" align="center" style="padding:5px 10px;">
								<span class="normaltext">'. $txt['pmx_center_showlang'] .'</span>
							</td>
						</tr>
						<tr>
							<td class="windowbg2 tborder" valign="top" style="padding:5px 5px;">
								<div style="height:20px;">
									<div id="holding" class="smalltext">'. $txt['pmx_center_showlang_info'] .'</div>
									<div id="loading" style="display:none; margin:0 auto; text-align:center;">'. $txt['pmx_processing'] .'<img hspace="10" style="vertical-align:-4px;" src="'. $context['PMx_imageurl'] .'loading.gif" alt="*" title="" /></div>
								</div>
							</td>
						</tr>
						<tr>
							<td class="windowbg tborder" valign="top">
								<table  class="normaltext tborder" width="100%" cellspacing="1" cellpadding="0" style="margin-bottom:10px;">
									<tr>
										<td colspan="4" align="center" class="titlebg" style="padding:5px 10px;">'. $txt['pmx_center_langinstalled'] .'</td>
									</tr>
									<tr>
										<td class="catbg" style="padding:3px 10px;" width="35%">'. $txt['pmx_center_langname'] .'</td>
										<td class="catbg" style="padding:3px 10px;" align="center" width="20%">'. $txt['pmx_center_langcharset'] .'</td>
										<td class="catbg" style="padding:3px 10px;" align="center" width="10%">'. $txt['pmx_center_langversion'] .'</td>
										<td class="catbg" style="padding:3px 10px;" align="right" width="15%">'. $txt['pmx_center_langaction'] .'</td>
									</tr>
									<tr>';

		// show installed languages
		$installed = array();
		foreach($context['PortaMx']['instlang'] as $id => $data)
		{
			$installed[] = array($data['name'], $data['charset'], $data['version']);
			echo '
									<tr>
										<td class="windowbg'. ($id == $context['PortaMx']['settings']['dbsetid']['instlang'] ? '' : '2') .'" style="padding:2px 10px;">'. $data['name'] .'</td>
										<td class="windowbg'. ($id == $context['PortaMx']['settings']['dbsetid']['instlang'] ? '' : '2') .'" style="padding:2px 10px;" align="center">'. $data['charset'] .'</td>
										<td class="windowbg'. ($id == $context['PortaMx']['settings']['dbsetid']['instlang'] ? '' : '2') .'" style="padding:2px 10px;" align="center">'. $data['version'] .'</td>
										<td class="windowbg'. ($id == $context['PortaMx']['settings']['dbsetid']['instlang'] ? '' : '2') .'" style="padding:2px 10px;" align="right">';

			if($id != $context['PortaMx']['settings']['dbsetid']['instlang'])
				echo '<a href="javascript:void(\'\')" onclick="FormFunc(\'lang_delete\', \''. $id .'\', \''. $txt['pmx_confirm_langdelete'] .'\');">'. $txt['pmx_center_langdelete'] .'</a>';

			echo '</td>
									</tr>';
		}

		echo '
								</table>
								<table  class="tborder normaltext" width="100%" cellspacing="1" cellpadding="0">
									<tr>
										<td colspan="4" align="center" class="titlebg" style="padding:5px 10px;">'. $txt['pmx_center_langavailable'] .'</td>
									</tr>
									<tr>
										<td class="catbg" style="padding:3px 10px;" width="35%">'. $txt['pmx_center_langname'] .'</td>
										<td class="catbg" style="padding:3px 10px;" align="center" width="20%">'. $txt['pmx_center_langcharset'] .'</td>
										<td class="catbg" style="padding:3px 10px;" align="center" width="10%">'. $txt['pmx_center_langversion'] .'</td>
										<td class="catbg" style="padding:3px 10px;" align="right" width="15%">'. $txt['pmx_center_langaction'] .'</td>
									</tr>';

		// show available languages
		if(!empty($context['PortaMx']['langsets']))
		{
			foreach($context['PortaMx']['langsets'] as $data)
			{
				// check is default language
				$isDef = false;
				if(compareLang(array($data['name'], $data['charset']), $installed[0]))
					$isDef = compareLang(array($data['version']), array($installed[0][2]));

				if(empty($isDef))
				{
					$isInst = false;
					$isUpd = false;
					foreach($installed as $inst)
					{
						if($data['name'] == $inst[0] && $data['charset'] == $inst[1])
						{
							$isInst = compareLang(array($data['name'], $data['charset']), $inst);
							$isUpd = compareLang(array($data['name'], $data['charset'], $data['version']), $inst);
							break;
						}
					}
					echo '
										<tr>
											<td class="windowbg2" style="padding:2px 10px;">'. $data['name'] .'</td>
											<td class="windowbg2" style="padding:2px 10px;" align="center">'. $data['charset'] .'</td>
											<td class="windowbg2" style="padding:2px 10px;" align="center">'. $data['version'] .'</td>
											<td class="windowbg2" style="padding:2px 10px;" align="right">
												<a href="javascript:void(\'\')" onclick="FormFunc(\'lang_install\', \''. $data['link'] . (!empty($isInst) || !empty($isUpd) ? '\', \''. (empty($isUpd) ? $txt['pmx_confirm_langreplace'] : $txt['pmx_confirm_langupdate']) : '') .'\')">'. (empty($isUpd) ? $txt['pmx_center_langinstall'] : $txt['pmx_center_langupdate']) .'</a>
											</td>
										</tr>';
				}
			}
		}
		else
			echo '
									<tr>
										<td colspan="4">'. $txt['pmx_center_fetchlang_failed'] .'</td>
									</tr>';

		echo '
								</table>
								<div style="padding:10px;text-align:center">
									<input type="button" name="back" value="'. $txt['page_reqerror_button'] .'" onclick="window.location.href=\''. $scripturl .'?action=admin;area=pmx_center\'" />
								</div>
							</td>
						</tr>
					</table>
					<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
						function StartProgress()
						{
							document.getElementById("holding").style.display = "none";
							document.getElementById("loading").style.display = "";
						}
					// ]]></script>
					</form>';
	}

	// Show Error ?
	if($context['PortaMx']['subaction'] == 'error')
	{
		echo '
					<table class="tborder" width="60%" cellspacing="0" cellpadding="0" style="margin:0 auto; margin-top:1em; text-align:center;">
						<tr>
							<td class="titlebg headerpadding">'. $context['PortaMx']['AdmcError']['title'] .'</td>
						</tr>
						<tr>
							<td class="windowbg2" valign="top" style="padding:5px 5px;">
								'. $context['PortaMx']['AdmcError']['msg'] .'
								<div style="padding:10px;text-align:center">
									<input type="button" name="back" value="'. $txt['page_reqerror_button'] .'" onclick="window.location.href=\''. $scripturl .'?action=admin;area=pmx_center'. (!empty($context['PortaMx']['AdmcError']['subact']) ? ';sa='. $context['PortaMx']['AdmcError']['subact'] .';'. $context['session_var'] .'=' .$context['session_id'] : '') .'\'" />
								</div>
							</td>
						</tr>
					</table>';
	}

	echo '
				</td>
			</tr>
		</table>';
}

function template_manual()
{
	global $context, $scripturl, $settings, $txt;

	// Admin Manual popup window
	echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"'. ($context['right_to_left'] ? ' dir="rtl"' : '') .'>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<meta name="robots" content="noindex" />
		<title>'. strip_tags($txt['pmx_center_manadmin']) .' ['. $context['PortaMx']['manpage']['title'] .']</title>
		<script language="JavaScript" type="text/javascript" src="'. $context['PMx_scripturl'] .'AdminPopups.js"></script>
		<link rel="stylesheet" type="text/css" href="'. $settings['default_theme_url'] .'/PortaMx/portamx.css" />
	</head>
	<body class="manual" onunload="PageLoadStop()">
		<div class="header">
			<a href="'. $scripturl .'?action=admin;area=pmx_center;sa=admbook" onclick="return PageLoadStart(this.href);">
				<img src="'. $context['PMx_syscssurl'] .'Images/portamx_logo.png" align="left" hspace="5" style="margin-top:-6px;" />
			</a>
			<div class="headertitle">Administrator<br />Manual</div>
		</div>
		<div class="booknav">
			<img src="'. $context['PMx_imageurl'] .'laqou.gif" alt="*" title="Back" style="cursor:pointer;margin-bottom:-2px;" onclick="history.back()" />
			<img src="'. $context['PMx_imageurl'] .'raqou.gif" alt="*" title="Forward" style="cursor:pointer;margin-bottom:-2px;" onclick="history.forward()" />';

		// show the tree
		$cnt = count($_SESSION['pmx_manpage_tree']);
		foreach($_SESSION['pmx_manpage_tree'] as $data)
		{
			$cnt--;
			list($page, $desc) = each($data);
			echo '
			<a href="'. $scripturl .'?action=admin;area=pmx_center;sa=admbook;page='. $page .'" onclick="return PageLoadStart(this.href);">'. $desc .'</a>'. ($cnt > 0 ? ' &raquo; ' : '') .'</a>';
		}

		echo '
		</div>
		<div class="main">'. $context['PortaMx']['manpage']['content'] .'</div>
		<div class="docfooter">
			<img id="pmxman_PgLoad" style="float_left; display:none;" src="'. $context['PMx_imageurl'] .'manpage_load.gif" alt="*" title="" />
			<div style="text-align:center;">Portal Management Extension PortaMx &copy; 2008-2009 by PortaMx corp.</div>
		</div>
	</body>
</html>';
}
?>