<?php
/** 
* @file AdminSettings.template.php
* Template for the Settings Manager.
*
* @author PortaMx - Portal Management Extension
* @author Copyright 2008-2009 by PortaMx - http://portamx.com
* @Version: 0.957
* @Date: 11.03.2009
*/

/**
* The main Subtemplate.
*/
function template_main()
{
	global $context, $settings, $options, $user_info, $txt, $scripturl;

	$LtR = empty($context['right_to_left']) ? 'left' : 'right';
	$RtL = empty($context['right_to_left']) ? 'right' : 'left';

	echo '
	<form id="pmx_form" accept-charset="', $context['character_set'], '" name="PMxAdminSettings" action="' . $scripturl . '?action=admin;area=pmx_settings;sa='. $context['PortaMx']['subaction'] .';'. $context['session_var'] .'=' .$context['session_id'] .'" method="post" style="margin: 0px;">

		<table width="100%" cellspacing="0" cellpadding="0" class="tborder">
			<tr class="windowbg2">
				<td valign="top">
					<input type="hidden" name="sc" value="', $context['session_id'], '" />
					<input id="common_field" type="hidden" name="" value="" />';

	$admset = $context['PortaMx']['admsettings'];

	if($context['PortaMx']['subaction'] == 'globals')
	{
		// define numeric vars to check
		echo '
					<input type="hidden" name="check_num_vars[]" value="[left_panel][size], 170" />
					<input type="hidden" name="check_num_vars[]" value="[right_panel][size], 170" />
					<input type="hidden" name="check_num_vars[]" value="[panels][padding], 4" />';

		// Global settings
		echo '
					<table width="100%" cellpadding="0" cellspacing="0" class="tborder" style="margin-bottom:5px; table-layout:fixed;">
						<th width="50%"></th><th width="1"></th><th width="50%"></th>
						<tr class="windowbg">
							<td colspan="3" class="catbg" style="padding:5px 5px;" align="center">'.
								$txt['pxm_global_settings'] .'
							</td>
						</tr>
						<tr class="windowbg">
							<td valign="top" style="padding:5px 5px 0 5px;width:50%;text-align:'. $RtL .';">
								<div style="height:25px;">'. $txt['pxm_settings_hidelinktree'] .'</div>
								<div style="height:25px;">'. $txt['pxm_settings_hidelinktree_front'] .'</div>
								<div style="height:25px;">'. $txt['pxm_settings_disableHS'] .'</div>
								<div style="height:25px;">'. $txt['pxm_settings_noHS_onaction'] .'
									<img class="info_toggle" style="margin-bottom:-3px;"; onclick=\'Show_help("pmxH22")\' src="'. $context['PMx_imageurl'] .'information.gif" alt="*" title="'. $txt['pmx_information_icon'] .'" />
								</div>
							</td>
							<td class="windowbg2" width="1"><div style="width:1px;"></div></td>
							<td valign="top" style="padding:5px 5px 0 5px;width:50%;">
								<div style="height:25px;margin-'. $LtR .':-4px;">
									<input type="hidden" name="panels[hidelinktree]" value="0" />
									<input class="check" type="checkbox" name="panels[hidelinktree]" value="1"'. (!empty($admset['panels']['hidelinktree']) ? ' checked="checked"' : '') .' />
								</div>
								<div style="height:25px;margin-'. $LtR .':-4px;">
									<input type="hidden" name="panels[hidelinktreefront]" value="0" />
									<input class="check" type="checkbox" name="panels[hidelinktreefront]" value="1"'. (!empty($admset['panels']['hidelinktreefront']) ? ' checked="checked"' : '') .' />
								</div>
								<div style="height:25px;margin-'. $LtR .':-4px;">
									<input type="hidden" name="disableHS" value="0" />
									<input style="float:'. $LtR .';" class="check" type="checkbox" name="disableHS" value="1"'. (!empty($admset['disableHS']) ? 'checked="checked"' : '') .' />
								</div>
								<div style="height:25px;">
									<input class="adm_w60" type="text" name="noHS_onaction" value="'. (!empty($admset['noHS_onaction']) ? $admset['noHS_onaction'] : '') .'" />
								</div>
								<div id="pmxH22" class="info_frame">'. $txt['pmx_settings_noHS_onactionhelp'] .'</div>
							</td>
						</tr>
						<tr class="windowbg">
							<td valign="top" style="padding:15px 5px 0 5px;width:50%;text-align:'. $RtL .';">
								<div style="height:25px;">'. $txt['pxm_settings_download'] .'
									<img class="info_toggle" onclick=\'Show_help("pmxH01")\' src="'. $context['PMx_imageurl'] .'information.gif" alt="*" title="'. $txt['pmx_information_icon'] .'" />
								</div>
							</td>
							<td class="windowbg2" width="1"><div style="width:1px;"></div></td>
							<td valign="top" style="padding:15px 5px 0 5px;width:50%;">
								<div style="margin-'. $LtR .':-4px;">
									<input type="hidden" name="download" value="0" />
									<input style="float:'. $LtR .';" class="check" type="checkbox" name="download" value="1"'. (!empty($admset['download']) ? ' checked="checked"' : '') .' />
									<div id="pmxH01" class="info_frame" style="margin-'. $LtR .':30px;">'. $txt['pmx_settings_downloadhelp'] .'</div>
								</div>
							</td>
						</tr>
						<tr class="windowbg">
							<td valign="top" style="padding:5px 5px 0 5px;width:50%;text-align:'. $RtL .';">
								<div style="height:25px;">'. $txt['pxm_settings_download_action'] .'
									<img class="info_toggle" style="margin-bottom:-3px;"; onclick=\'Show_help("pmxH20")\' src="'. $context['PMx_imageurl'] .'information.gif" alt="*" title="'. $txt['pmx_information_icon'] .'" />
								</div>
							</td>
							<td class="windowbg2" width="1"><div style="width:1px;"></div></td>
							<td valign="top" style="padding:5px 5px 0 5px;width:50%;">
								<div style="height:25px;">
									<input class="adm_w60" type="text" name="dl_action" value="'. (!empty($admset['dl_action']) ? $admset['dl_action'] : '') .'" />
								</div>
								<div id="pmxH20" class="info_frame">'. $txt['pmx_settings_dl_actionhelp'] .'</div>
							</td>
						</tr>
						<tr class="windowbg">
							<td valign="top" style="padding:15px 5px 0 5px;width:50%;text-align:'. $RtL .';">
								<div style="height:25px;">'. $txt['pxm_settings_ignorerequest'] .'
									<img class="info_toggle" style="margin-bottom:-3px;"; onclick=\'Show_help("pmxH21")\' src="'. $context['PMx_imageurl'] .'information.gif" alt="*" title="'. $txt['pmx_information_icon'] .'" />
								</div>
							</td>
							<td class="windowbg2" width="1"><div style="width:1px;"></div></td>
							<td valign="top" style="padding:15px 5px 0 5px;width:50%;">
								<div style="height:25px;">
									<input class="adm_w60" type="text" name="norequest" value="'. (!empty($admset['norequest']) ? $admset['norequest'] : '') .'" />
								</div>
								<div id="pmxH21" class="info_frame">'. $txt['pxm_settings_ignorerequesthelp'] .'</div>
							</td>
						</tr>
						<tr class="windowbg">
							<td valign="top" style="padding:15px 5px 0 5px;width:50%;text-align:'. $RtL .';">
								<div style="height:25px;">'. $txt['pxm_settings_panelpadding'] .'</div>
								<div style="height:25px;">'. $txt['pxm_settings_paneloverflow'] .'</div>
							</td>
							<td class="windowbg2" width="1"><div style="width:1px;"></div></td>
							<td valign="top" style="padding:15px 5px 0 5px;width:50%;">
								<div style="height:25px;">
									<input onkeyup="check_numeric(this);" type="text" size="2" name="panels[padding]" value="'. (isset($admset['panels']['padding']) ? $admset['panels']['padding'] : '4') .'" />
									'. $txt['pmx_pixel'] .'
								</div>
								<div style="height:25px;">
									<select class="adm_w60" size="1" name="panels[overflow]">';

		foreach($txt['pmx_overflow_actions'] as $key => $text)
			echo '
										<option value="'. $key .'"'. (isset($admset['panels']['overflow']) && $admset['panels']['overflow'] == $key ? ' selected="selected"' : '') .'>'. $text .'</option>';
		echo '
									</select>
								</div>
							</td>
						</tr>
						<tr class="windowbg">
							<td valign="top" style="padding:15px 5px 0 5px;width:50%;text-align:'. $RtL .';">
								<div>'. $txt['pxm_settings_enable_xbarkeys'] .'
									<img class="info_toggle" style="margin-bottom:-3px;"; onclick=\'Show_help("pmxH02")\' src="'. $context['PMx_imageurl'] .'information.gif" alt="*" title="'. $txt['pmx_information_icon'] .'" />
								</div>
							</td>
							<td class="windowbg2" width="1"><div style="width:1px;"></div></td>
							<td valign="top" style="padding:15px 5px 0 5px;width:50%;">
								<div style="margin-'. $LtR .':-4px;">
									<input type="hidden" name="xbarkeys" value="0" />
									<input style="float:'. $LtR .';" class="check" type="checkbox" name="xbarkeys" value="1"'. (!empty($admset['xbarkeys']) ? ' checked="checked"' : '') .' />
									<div id="pmxH02" class="info_frame" style="margin-'. $LtR .':30px;">'. $txt['pxm_settings_xbarkeys_help'] .'</div>
								</div>
							</td>
						</tr>
						<tr class="windowbg">
							<td valign="top" style="padding:5px 5px 0 5px;width:50%;text-align:'. $RtL .';">
								<div style="height:25px;">'. $txt['pxm_settings_enable_xbars'] .'
									<img class="info_toggle" style="margin-bottom:-3px;"; onclick=\'Show_help("pmxH03")\' src="'. $context['PMx_imageurl'] .'information.gif" alt="*" title="'. $txt['pmx_information_icon'] .'" />
								</div>';

		foreach($txt['pmx_block_sides'] as $side => $sidename)
			if($side != 'front' && $side != 'pages')
				echo '
								<div style="height:25px;">'. $sidename .':</div>';

		echo '
							</td>
							<td class="windowbg2" width="1"><div style="width:1px;"></div></td>
							<td valign="top" style="padding:5px 5px 0 5px;width:50%;">
								<div style="height:25px;">
									<img id="pmxTXB" class="adm_hover" onclick="ToggleCheckbox(this, \'xsel\', 0)" width="13" height="13" style="float:'. $LtR .';margin-top:2px;" src="'. $context['PMx_syscssurl'] .'Images/bullet_plus.gif" alt="*" title="'.$txt['pxm_settings_all_toggle'].'" />
									<div id="pmxH03" class="info_frame" style="margin-'. $LtR .':26px;">'. $txt['pxm_settings_xbars_help'] .'</div>
								</div>
								<input type="hidden" name="xbars[]" value="" />';

		foreach($txt['pmx_block_sides'] as $side => $sidename)
		{
			if($side != 'front' && $side != 'pages')
			{
				echo '
								<div class="adm_clear" style="height:25px;margin-'. $LtR .':-4px;">
									<input id="xsel'.$side.'" class="check" type="checkbox" name="xbars[]" value="'. $side .'"'. (isset($admset['xbars']) && in_array($side, $admset['xbars']) ? ' checked="checked"' : '') .' />
								</div>';
			}
		}

		echo '
								<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
									ToggleCheckbox(document.getElementById("pmxTXB"), \'xsel\', 1)
								// ]]></script>
							</td>
						</tr>
					</table>';
	}

	if($context['PortaMx']['subaction'] == 'control')
	{
		// Blockmanager control settings
		echo '
					<table width="100%" cellpadding="0" cellspacing="0" class="tborder" style="margin-bottom:5px; table-layout:fixed;">
						<th width="50%"></th><th width="1"></th><th width="50%"></th>
						<tr class="windowbg">
							<td colspan="3" class="catbg" style="padding:5px 5px;" align="center">'.
								$txt['pxm_global_program'] .'
							</td>
						</tr>
						<tr class="windowbg">
							<td valign="top" style="padding:10px 5px 0 5px;width:50%;text-align:'. $RtL .';">
								<div style="height:25px;">'. $txt['pxm_settings_collapse_visibility'] .'
									<img class="info_toggle" style="margin-bottom:-3px;"; onclick=\'Show_help("pmxH05")\' src="'. $context['PMx_imageurl'] .'information.gif" alt="*" title="'. $txt['pmx_information_icon'] .'" />
								</div>
							</td>
							<td class="windowbg2" width="1"><div style="width:1px;"></div></td>
							<td valign="top" style="padding:10px 5px 0 5px;width:50%;">
								<div style="margin-'. $LtR .':-4px;">
									<input type="hidden" name="manager[collape_visibility]" value="0" />
									<input style="float:'. $LtR .';" class="check" type="checkbox" name="manager[collape_visibility]" value="1"'. (!empty($admset['manager']['collape_visibility']) ? ' checked="checked"' : '') .' />
									<div id="pmxH05" class="info_frame" style="margin-'. $LtR .':30px;">'. $txt['pxm_settings_collapse_vishelp'] .'</div>
								</div>
							</td>
						</tr>
						<tr class="windowbg">
							<td valign="top" style="padding:1px 5px;width:50%;text-align:'. $RtL .';">
								<div style="height:25px;">'. $txt['pxm_settings_blockfollow'] .'
									<img class="info_toggle" style="margin-bottom:-3px;"; onclick=\'Show_help("pmxH06")\' src="'. $context['PMx_imageurl'] .'information.gif" alt="*" title="'. $txt['pmx_information_icon'] .'" />
								</div>
							</td>
							<td class="windowbg2" width="1"><div style="width:1px;"></div></td>
							<td valign="top" style="padding:1px 5px;width:50%;">
								<div style="margin-'. $LtR .':-4px;">
									<input type="hidden" name="manager[follow]" value="0" />
									<input style="float:'. $LtR .';" class="check" type="checkbox" name="manager[follow]" value="1"'. (!empty($admset['manager']['follow']) ? ' checked="checked"' : '') .' />
									<div id="pmxH06" class="info_frame" style="margin-'. $LtR .':30px;">'. $txt['pmx_settings_blockfollowhelp'] .'</div>
								</div>
							</td>
						</tr>
						<tr class="windowbg">
							<td valign="top" style="padding:1px 5px;width:50%;text-align:'. $RtL .';">
								<div style="height:25px;">'. str_replace('[##]', '<img style="vertical-align:-3px;" src="'. $context['PMx_imageurl'] .'page_edit.gif" alt="*" title="" />', $txt['pxm_settings_quickedit']) .'
									<img class="info_toggle" style="margin-bottom:-3px;"; onclick=\'Show_help("pmxH07")\' src="'. $context['PMx_imageurl'] .'information.gif" alt="*" title="'. $txt['pmx_information_icon'] .'" />
								</div>
							</td>
							<td class="windowbg2" width="1"><div style="width:1px;"></div></td>
							<td valign="top" style="padding:1px 5px;width:50%;">
								<div style="margin-'. $LtR .':-4px;">
									<input type="hidden" name="manager[qedit]" value="0" />
									<input style="float:'. $LtR .';" class="check" type="checkbox" name="manager[qedit]" value="1"'. (!empty($admset['manager']['qedit']) ? ' checked="checked"' : '') .' />
									<div id="pmxH07" class="info_frame" style="margin-'. $LtR .':30px;">'. $txt['pmx_settings_quickedithelp'] .'</div>
								</div>
							</td>
						</tr>
						<tr class="windowbg">
							<td valign="top" style="padding:1px 5px;width:50%;text-align:'. $RtL .';">
								<div style="height:25px;">'. $txt['pxm_settings_edit_bbc'] .'
									<img class="info_toggle" style="margin-bottom:-3px;"; onclick=\'Show_help("pmxH08")\' src="'. $context['PMx_imageurl'] .'information.gif" alt="*" title="'. $txt['pmx_information_icon'] .'" />
								</div>
							</td>
							<td class="windowbg2" width="1"><div style="width:1px;"></div></td>
							<td valign="top" style="padding:1px 5px;width:50%;">
								<div style="margin-'. $LtR .':-4px;">
									<input type="hidden" name="manager[edit_bbc]" value="0" />
									<input style="float:'. $LtR .';" class="check" type="checkbox" name="manager[edit_bbc]" value="1"'. (!empty($admset['manager']['edit_bbc']) ? ' checked="checked"' : '') .' />
									<div id="pmxH08" class="info_frame" style="margin-'. $LtR .':30px;">'. $txt['pmx_settings_edit_bbchelp'] .'</div>
								</div>
							</td>
						</tr>

						<tr class="windowbg">
							<td valign="top" style="padding:1px 5px;width:50%;text-align:'. $RtL .';">
								<div style="height:25px;">'. $txt['pxm_settings_adminpages'] .'
									<img class="info_toggle" style="margin-bottom:-3px;"; onclick=\'Show_help("pmxH09")\' src="'. $context['PMx_imageurl'] .'information.gif" alt="*" title="'. $txt['pmx_information_icon'] .'" />
								</div>';

		foreach($txt['pmx_block_sides'] as $side => $sidename)
			echo '
								<div style="height:25px;">'. $sidename .':</div>';

		echo '
							</td>
							<td class="windowbg2" width="1"><div style="width:1px;"></div></td>
							<td valign="top" style="padding:1px 5px;width:50%;">
								<div style="height:25px;">
									<img id="pmxTMP" class="adm_hover" onclick="ToggleCheckbox(this, \'modsel\', 0)" width="13" height="13" style="float:'. $LtR .';margin-top:2px;" src="'. $context['PMx_syscssurl'] .'Images/bullet_plus.gif" alt="*" title="'.$txt['pxm_settings_all_toggle'].'" />
									<div id="pmxH09" class="info_frame" style="margin-'. $LtR .':26px;">'. $txt['pmx_settings_adminpageshelp'] .'</div>
								</div>';

		foreach($txt['pmx_block_sides'] as $side => $sidename)
		{
			echo '
								<div class="adm_clear" style="height:25px;margin-'. $LtR .':-4px;">
									<input id="modsel'.$side.'" class="check" type="checkbox" name="manager[admin_pages][]" value="'. $side .'"'. (isset($admset['manager']['admin_pages']) && in_array($side, $admset['manager']['admin_pages']) ? ' checked="checked"' : '') .' />
								</div>';
		}

		echo '
									<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
									ToggleCheckbox(document.getElementById("pmxTMP"), \'modsel\', 1)
								// ]]></script>
							</td>
						</tr>
					</table>';
	}

	if($context['PortaMx']['subaction'] == 'panels')
	{
		// Global panel settings
		echo '
					<table width="100%" cellpadding="0" cellspacing="0" class="tborder" style="margin-bottom:5px; table-layout:fixed;">
						<th width="50%"></th><th width="1"></th><th width="50%"></th>
						<tr class="windowbg">
							<td colspan="3" class="catbg" style="padding:5px 5px;" align="center">'.
								$txt['pxm_panel_settings'] .'
							</td>
						</tr>';

		$idnbr = 10;
		foreach($txt['pmx_block_sides'] as $side => $sidename)
		{
			if($side != 'front' && $side != 'pages')
			{
				echo '
						<tr class="windowbg">
							<td class="titlebg smallpadding" align="center">
								'. $txt['pxm_settings_panel'. $side] .'
							</td>
							<td class="windowbg2" width="1"><div style="width:1px;"></div></td>
							<td class="titlebg2 smallpadding">
								'. $txt['pxm_settings_panelset'] .'
							</td>
						</tr>
						<tr class="windowbg">
							<td valign="top" style="padding:5px; width:50%; text-align:'. $RtL .';">
								<div style="float:'. $LtR .'; padding-'. $LtR .':5%;">
									<img src="'. $context['PMx_imageurl'] . $side .'_panel.gif" alt="*" title="'. $txt['pxm_settings_panel'. $side] .'" />
								</div>
								<div style="height:25px;">'. $txt['pxm_settings_panel_collapse'] .'</div>
								<div style="height:25px;">'. ($side == 'left' || $side == 'right' ? $txt['pxm_settings_panelwidth'] : $txt['pxm_settings_panelheight']) .'</div>
								'. $txt['pxm_settings_panelhidetitle'] .'
							</td>
							<td class="windowbg2" width="1"><div style="width:1px;"></div></td>
							<td style="padding:5px; width:50%;">
								<input type="hidden" name="'. $side .'_panel[size]" value="0" />
								<input type="hidden" name="'. $side .'_panel[collapse]" value="0" />
								<div style="height:25px; margin-'. $LtR .':-4px;">
									<input class="check" type="checkbox" name="'. $side .'_panel[collapse]" value="1"'. (!empty($admset[$side .'_panel']['collapse']) ? ' checked="checked"' : '') .' />
								</div>
								<div style="height:25px;">
									<input onkeyup="check_numeric(this);" type="text" size="3" name="'. $side .'_panel[size]" value="'. (!empty($admset[$side .'_panel']['size']) ? $admset[$side .'_panel']['size'] : '') .'" /> '. $txt['pmx_hw_pixel'][$side] .'
								</div>
								<select style="width:50%;" name="'. $side .'_panel[hide][]" multiple="multiple" size="5">';

				$hideset = (isset($admset[$side .'_panel']['hide']) ? $admset[$side .'_panel']['hide'] : array());
				foreach($txt['pxm_settings_panelhide'] as $panact => $panname)
					echo '
									<option value="'. $panact .'"'. (in_array($panact, $hideset) ? ' selected="selected"' : '') .'>'. $panname .'</option>';
				echo '
								</select>';

				$cust = isset($admset[$side .'_panel']['custom_hide']) ? $admset[$side .'_panel']['custom_hide'] : '';
				echo '
							</td>
						</tr>
						<tr class="windowbg">
							<td valign="top" style="padding:2px 5px; width:50%; text-align:'. $RtL .';">
								<div style="height:25px;">'. $txt['pxm_settings_panel_customhide'] .'
									<img class="info_toggle" style="margin-bottom:-3px;"; onclick=\'Show_help("pmxH'. $idnbr .'")\' src="'. $context['PMx_imageurl'] .'information.gif" alt="*" title="'. $txt['pmx_information_icon'] .'" />
								</div>
							</td>
							<td class="windowbg2" width="1"><div style="width:1px;"></div></td>
							<td style="padding:2px 5px; width:50%;">
								<div style="height:25px;">
									<input style="width:50%;" type="text" name="'. $side .'_panel[custom_hide]" value="'. $cust .'" />
								</div>
								<div id="pmxH'. $idnbr .'" class="info_frame" style="margin-bottom:5px;">'. $txt['pmx_settings_panel_custhelp'] .'</div>
							</td>
						</tr>';
			}
			$idnbr++;
		}
				echo '
					</table>';
	}

	if($context['PortaMx']['subaction'] == 'frontpage')
	{
		// Frontpage settings
		echo '
					<table width="100%" cellpadding="0" cellspacing="0" class="tborder" style="margin-bottom:5px; table-layout:fixed;">
						<th width="50%"></th><th width="1"></th><th width="50%"></th>
						<tr class="windowbg">
							<td colspan="3" class="catbg" style="padding:5px 5px;" align="center">'.
								$txt['pxm_frontpage_settings'] .'
							</td>
						</tr>
						<tr class="windowbg">
							<td valign="top" style="padding:5px;width:50%;text-align:'. $RtL .'">
								<div style="height:25px;">'. $txt['pxm_settings_frontpage_fullsize'] .'
									<img class="info_toggle" onclick=\'Show_help("pmxH18")\' src="'. $context['PMx_imageurl'] .'information.gif" alt="*" title="'. $txt['pmx_information_icon'] .'" />
								</div>
								<div style="height:25px;">'. $txt['pxm_settings_frontpage_centered'] .'</div>
								<div style="height:25px;">'. $txt['pxm_settings_frontpage_none'] .'</div>
							</td>
							<td class="windowbg2"><div style="width:1px;"></div></td>
							<td valign="top" style="padding:5px;width:50%;">
							
								<div style="height:25px;margin-'. $LtR .':-4px;">
									<input style="float:'. $LtR .';" class="check" type="radio" name="frontpage" value="fullsize"'. (isset($admset['frontpage']) && $admset['frontpage'] == 'fullsize' ? ' checked="checked"' : '') .' />
									<div id="pmxH18" class="info_frame" style="margin-'. $LtR .':30px;">'. $txt['pxm_frontpage_help'] .'</div>
								</div>
								<div style="height:25px;margin-'. $LtR .':-4px;">
									<input class="check" type="radio" name="frontpage" value="centered"'. (isset($admset['frontpage']) && $admset['frontpage'] == 'centered' ? ' checked="checked"' : '') .' />
								</div>
								<div style="height:25px;margin-'. $LtR .':-4px;">
									<input class="check" type="radio" name="frontpage" value="none"'. (!isset($admset['frontpage']) || (isset($admset['frontpage']) && $admset['frontpage'] == 'none') ? ' checked="checked"' : '') .' />
								</div>
							</td>
						</tr>
						<tr class="windowbg">
							<td valign="top" style="padding:5px;width:50%;text-align:'. $RtL .'">
								<div style="height:25px;">'. $txt['pxm_settings_pages_hidefront'] .'
									<img class="info_toggle" onclick=\'Show_help("pmxH19")\' src="'. $context['PMx_imageurl'] .'information.gif" alt="*" title="'. $txt['pmx_information_icon'] .'" />
								</div>
								<div style="height:25px;">'. $txt['pxm_settings_pages_befor'] .'</div>
								<div style="height:25px;">'. $txt['pxm_settings_pages_after'] .'</div>
							</td>
							<td class="windowbg2" width="1"><div style="width:1px;"></div></td>
							<td valign="top" style="padding:5px;width:50%;">
								<div style="height:25px;margin-'. $LtR .':-4px;">
									<input style="float:'. $LtR .';" class="check" type="radio" name="fp_onpages" value="none"'. (isset($admset['fp_onpages']) && $admset['fp_onpages'] == 'none' ? ' checked="checked"' : '') .' />
									<div id="pmxH19" class="info_frame" style="margin-'. $LtR .':30px;">'. $txt['pxm_settings_pages_help'] .'</div>
								</div>
								<div style="height:25px;margin-'. $LtR .':-4px;">
									<input class="check" type="radio" name="fp_onpages" value="before"'. (isset($admset['fp_onpages']) && $admset['fp_onpages'] == 'before' ? ' checked="checked"' : '') .' />
								</div>
								<div style="height:25px;margin-'. $LtR .':-4px;">
									<input class="check" type="radio" name="fp_onpages" value="after"'. (!isset($admset['fp_onpages']) || (isset($admset['fp_onpages']) && $admset['fp_onpages'] == 'after') ? ' checked="checked"' : '') .' />
								</div>
							</td>
						</tr>

					</table>';
	}

	echo '
				</td>
			</tr>
			<tr class="windowbg2">
				<td align="center" style="padding-bottom:5px;">
					<input type="button" value="'.$txt['pmx_save'].'" name="" onclick="FormFunc(\'save_settings\', \'yes\')" />
				</td>
			</tr>
		</table>
	</form>';
}
?>