<?php
/** 
* @file PortaMx.template.php
* Main template for the Forumpage.
*
* @author PortaMx - Portal Management Extension
* @author Copyright 2008-2009 by PortaMx - http://portamx.com
* @Version: 0.957
* @Date: 11.03.2009
*/

/**
* The main template for frontpage and Page blocks.
*/
function template_main()
{
	global $context;

	if(!empty($context['PortaMx']['show_pagespanel']) && isset($context['PortaMx']['settings']['fp_onpages']))
	{
		if($context['PortaMx']['settings']['fp_onpages'] == 'before')
		{
			$spacer = intval(!empty($context['PortaMx']['show_frontpanel']));
			PortaMx_ShowBlocks('pages', $spacer);
			PortaMx_ShowBlocks('front');
		}
		elseif($context['PortaMx']['settings']['fp_onpages'] == 'after')
		{
			$spacer = intval(!empty($context['PortaMx']['show_pagespanel']));
			PortaMx_ShowBlocks('front', $spacer);
			PortaMx_ShowBlocks('pages');
		}
		if($context['PortaMx']['settings']['fp_onpages'] == 'none')
			PortaMx_ShowBlocks('pages');
	}
	else
		PortaMx_ShowBlocks('front');
}
?>
