<?php
/** 
* @file AdminSettings.english.php
* Language file AdminSettings.english
*
* @author PortaMx - Portal Management Extension
* @author Copyright 2008-2009 by PortaMx - http://portamx.com
* @Version: 0.957
* @Date: 11.03.2009
*/

// global
$txt['pxm_global_settings'] = 'Global settings';
$txt['pxm_settings_hidelinktree'] = 'Hide the linktree always:';
$txt['pxm_settings_panelpadding'] = 'Padding between panels:';
$txt['pxm_settings_paneloverflow'] = 'Action on Panelsize overflow:';
$txt['pxm_settings_download'] = 'Show download button on Menubar:';
$txt['pxm_settings_download_action'] = 'Action name for download button:';
$txt['pxm_settings_ignorerequest'] = 'Requests they not assigned to Single Pages:';
$txt['pxm_settings_enable_xbars'] = 'Panels to collapse/expand with <b>xBars</b>:';
$txt['pxm_settings_all_toggle'] = 'Toggle all on/off';
$txt['pxm_settings_enable_xbarkeys'] = 'Enable panel <b>xBarKeys</b>:';
$txt['pxm_settings_collapse_visibility'] = 'Collapse the <b>Dynamic visibility</b> panel:'; 
$txt['pxm_settings_hidelinktree_front'] = 'Hide the linktree on Frontpage:';
$txt['pxm_settings_disableHS'] = 'Disable HighSlide viewer globally:';
$txt['pxm_settings_noHS_onaction'] = 'Disable HighSlide viewer on actions:';

// panels
$txt['pxm_panel_settings'] = 'Panel settings';
$txt['pxm_settings_panelset'] = 'Settings';
$txt['pxm_settings_panelleft'] = 'Left panel';
$txt['pxm_settings_panelright'] = 'Right panel';
$txt['pxm_settings_paneltop'] = 'Top center panel';
$txt['pxm_settings_panelbottom'] = 'Bottom center panel';
$txt['pxm_settings_panelhidetitle'] = 'Hide the panel on section:';
$txt['pxm_settings_panel_customhide'] = 'Hide the panel on action:';
$txt['pxm_settings_panel_collapse'] = 'Disable panel collapse:';
$txt['pxm_settings_panelwidth'] = 'Width of panel:';
$txt['pxm_settings_panelheight'] = 'Max height of panel:';
$txt['pmx_pixel'] = 'Pixel';

$txt['pmx_hw_pixel'] = array(
	'top' => 'Pixel or leave blank',
	'bottom' => 'Pixel or leave blank',
	'left' => 'Pixel',
	'right' => 'Pixel'
);

$txt['pxm_settings_panelhide'] = array(
	'frontpage' => 'Frontpage',
	'pages' => 'Single pages',
	'forum' => 'Forum',
	'boards' => 'Boards',
	'topics' => 'Topics',
	'admin' => 'Admin',
	'calendar' => 'Calendar',
	'help' => 'Help',
	'login' => 'Login', 
	'logout' => 'Logout',
	'moderate' => 'Moderate',
	'mlist' => 'Memberlist',
	'pm' => 'Pers. Messages',
	'post' => 'Post Topic',
	'profile' => 'Profile',
	'recent' => 'Recent posts',
	'register' => 'Register',
	'stats' => 'Show stats', 
	'search' => 'Search',
	'unread' => 'Unread posts', 
	'unreadreplies' => 'Unread replies',
	'who' => 'Who',
);

// frontpage
$txt['pxm_frontpage_settings'] = 'Frontpage settings';
$txt['pxm_settings_frontpage_none'] = 'No Frontpage, go directly to Forum:';
$txt['pxm_settings_frontpage_centered'] = 'Show the Frontpage in the Forum area:';
$txt['pxm_settings_frontpage_fullsize'] = 'Show a full size Frontpage:';

// manager control
$txt['pxm_global_program'] = 'Block Manager control settings';
$txt['pxm_settings_blockfollow'] = 'Follow the block thru the panels on change:';
$txt['pxm_settings_quickedit'] = 'Show a <b>quick edit link</b> on the block titlebar:';
$txt['pxm_settings_edit_bbc'] = 'Use the BBC editor for download blocks:';
$txt['pxm_settings_adminpages'] = 'Admin access to <b>Panels</b> for Moderators:';
$txt['pxm_settings_pages_hidefront'] = 'Hide the Frontpage on Single pages:';
$txt['pxm_settings_pages_befor'] = 'Place the Single pages before the Frontpage:';
$txt['pxm_settings_pages_after'] = 'Place the Single pages after the Frontpage:';

// help;
$txt['pmx_settings_noHS_onactionhelp'] = 'Here you can define actions (separated by a comma), on they the HighSlide viewer is disabled.
		For the <b>SMF Media Gallery</b> as example, enter <b>mgallery</b>.';
$txt['pxm_settings_ignorerequesthelp'] = 'Here you can define requests (separated by a comma), they are not assigned to Single Pages. For the <b>zCommunity</b> mod as example, enter <b>zc</b>.';
$txt['pxm_frontpage_help'] = 'Select the Frontpage, which you use.<br />'.
		'Note, that the fullsize Frontpage normally have <b>no</b> Menubar, so you have to add the necessary code.
		Example: <b>&lt;?php ssi_menubar(); ?&gt;</b> shows the menubar at the page.';
$txt['pmx_settings_adminpageshelp'] = 'With this option a PortaMx Moderator can create, edit, move and delete any block in the selected panels.
		The blockspecific moderation access is overwrite.<br /><b>Handle this option with care!</b>';
$txt['pxm_settings_xbars_help'] = 'Select the panels, they you can collapse or expand with the xBars.';
$txt['pxm_settings_collapse_vishelp'] = 'The panel is used in Block settings. You can collapse that initially, but it\'s shown always if the Block have dynamic visibility options.';
$txt['pxm_settings_xbarkeys_help'] = 'If checked, you can collapse or expand the panels with the <b>Ctrl key</b> and a arrow key (<b>left, right, up, down</b>). Note that the <b>xBarKeys</b> are disabled if the editor loaded.';
$txt['pmx_settings_panel_custhelp'] = 'Here you can enter any other actions, separated by a comma.<br />
		For <b>Single pages</b>, enter the pagename with a <b>@</b> at the front, as example <b>@mypage</b>.
		You can also use pagenames with a dot (<b>.</b>) at the end. In this case the panel is invisible on pages, whose name up to the dot matched.<br />
		<b>Example</b>: "mypage." matched <i>mypage</i>, <i>mypage.first</i> or <i>mypage22</i>';
$txt['pmx_settings_downloadhelp'] = 'If checked, a <b>Download</b> button is shown next to the <b>Forum</b> button.';
$txt['pmx_settings_dl_actionhelp'] = 'Define the action which the download button to be assigned.
		You can use any name with the character (<b>a-z, A-Z, 0-9, -, _</b>). For Single pages you have to add a <b>@</b> at the front of the name 
		and you can use the dot(<b>.</b>) at the end of page name. "download." as example, displays each page the name starts with <i>download</i>.';
$txt['pmx_settings_blockfollowhelp'] = 'If you make any change on a block in the Overview screen or you move a block, the screen is switched to the panel in which the block is located or moved.';
$txt['pmx_settings_quickedithelp'] = 'You can enable a direct link to the Block manger <b>edit function</b>.
		The links is associated to the <b>block title</b> and is active only for Admins and Moderators they have access to edit a Block.';
$txt['pmx_settings_edit_bbchelp'] = 'You can use the SMF BBC editor instead of the WYSIWYG editor for download blocks.';
$txt['pxm_settings_pages_help'] = 'Choice the advertisement of Frontpage and Single page blocks. Note that Single pages are always displayed, even if the Frontpage set to "no Frontpage".';
?>