<?php
/** 
* @file dbremove.php
* Database remove file.
*
* @author PortaMx - Portal Management Extension
* @author Copyright 2008-2009 by PortaMx - http://portamx.com
* @Version: 0.957
* @Date: 11.03.2009
*/

global $db_name, $db_prefix, $user_info, $boardurl, $txt;

// Load the SSI.php
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
{
	require_once(dirname(__FILE__) . '/SSI.php');

	// on manual uninstall you have to logged in
	if(!$user_info['is_admin']) 
	{
		if($user_info['is_guest']) 
		{
			echo '<b>', $txt['admin_login'],':</b><br />';
			ssi_login($boardurl.'/dbremove.php');
			die();
		}
		else 
		{
			loadLanguage('Errors');
			fatal_error($txt['cannot_admin_forum']);
		}
	}
}
// no SSI.php and no SMF?
elseif (!defined('SMF'))
	die('<b>Error:</b> SSI.php not found. Please verify you put this in the same place as SMF\'s index.php.');

// Load the SMF DB Functions
db_extend('packages');
db_extend('extra');

// PortaMx Tablea
$portaMx_Tables = array(
	'portamx_settings',
	'portamx_blocks'
);

// check if called with SSI
if(eval("return sprintf('%s', SMF);") == 'SSI')
{
  // get a table list
  $tmp = $smcFunc['db_list_tables']($db_name, '%portamx%');
  $created = array();
  
  $tbl_prefix = explode('.', $db_prefix);
  if(isset($tbl_prefix[1]))
    $tbl_prefix = $tbl_prefix[1];
  else
    $tbl_prefix = $db_prefix;

	foreach($portaMx_Tables as $tblname)
	{
    if(!empty($tmp) && in_array($tbl_prefix . $tblname, $tmp))
    {
		  echo 'Drop table: '. $tblname .'<br />';
		  $smcFunc['db_query']('security_override', '
			  	DROP TABLE '.$db_prefix . $tblname,
			    array()
		  );
    }
    else
      echo 'Table '. $tblname .' not exist.<br />';
	}
}
else
{
	foreach($portaMx_Tables as $tblname)
	{
		echo 'Drop table: '. $tblname .'<br />';
		$smcFunc['db_drop_table']($tblname, array());
	}
}

// remover file server entry
$request = $smcFunc['db_query']('', '
		SELECT id_server 
		FROM {db_prefix}package_servers
		WHERE url = {string:url}',
	array(
		'url' => 'http://docserver.portamx.com'
	)
);
if($row = $smcFunc['db_fetch_assoc']($request))
{
	$id = $row['id_server'];
	$smcFunc['db_free_result']($request);

	$smcFunc['db_query']('', '
			DELETE FROM {db_prefix}package_servers
			WHERE id_server = {int:id}',
		array(
			'id' => $id
		)
	);
}

echo 'Done.<br />';
// done
?>