<?php
/** 
* @file AdminSettings.php
* AdminSettings reached all Posts from Settings Manager. 
* Checks the values and saved the parameter to the database.
*
* @author PortaMx - Portal Management Extension
* @author Copyright 2008-2009 by PortaMx - http://portamx.com
* @Version: 0.957
* @Date: 11.03.2009
*/

if (!defined('SMF'))
	die('Hacking attempt...');

/**
* Receive all the Posts from Settings Manager, check and save it. 
* Finally the Admin settings are prepared and the templare loaded.
*/
function PortaMx_AdminSettings()
{
	global $smcFunc, $context, $settings, $txt;

	if(isset($_GET['action']) && $_GET['action'] == 'admin' && isset($_GET['area']) && $_GET['area'] == 'pmx_settings')
	{
		isAllowedTo('admin_forum');

		require_once($context['PMx_sourcedir'] .'AdminSubs.php');
		$context['PortaMx']['subaction'] = isset($_GET['sa']) ? $_GET['sa'] : 'globals';
		$pmx_area = $_GET['area'];

		// From template ?
		if(!empty($_POST))
		{
			checkSession('post');

			// check the Post array
			if(isset($_POST['save_settings']) && $_POST['save_settings'] == 'yes')
			{
				// check defined numeric vars (check_num_vars holds the posted array to check like [varname][varname] ...)
				if(isset($_POST['check_num_vars']))
				{
					foreach($_POST['check_num_vars'] as $val)
					{
						$data = explode(',', $val);
						$post = '$_POST'. str_replace(array('[', ']'), array('[\'', '\']'), $data[0]);
						if(eval("return isset($post);") && eval("return !is_numeric($post);"))
								eval("$post = $data[1];");
					}
					unset($_POST['check_num_vars']);
				}

				$config = array();
				$request = $smcFunc['db_query']('', '
						SELECT config 
						FROM {db_prefix}portamx_settings
						WHERE id = 1',
					array()
        );
				if($smcFunc['db_num_rows']($request) > 0)
				{
					$row = $smcFunc['db_fetch_assoc']($request);
					$smcFunc['db_free_result']($request);
					$config = unserialize($row['config']);
				}

				$setKeys = array_diff(array_keys($_POST), array('save_settings', 'sa', 'sc'));
				foreach($setKeys as $key)
          $config[$key] = $_POST[$key];

				$smcFunc['db_query']('', '
						UPDATE {db_prefix}portamx_settings
						SET config = {string:config}
						WHERE id = 1',
					array('config' => serialize($config))
				);

			}
			redirectexit('action=admin;area='. $pmx_area .';sa='. $context['PortaMx']['subaction'] .';'. $context['session_var'] .'='. $context['session_id']);
		}
		else
			checkSession('get');

		// Load data for settings
		$context['PortaMx']['admsettings'] = PortaMx_getSettings();

		// setup pagetitle, load the javascript
		$context['page_title'] = $txt['pmx_settings'];
		$context['html_headers'] .= '
		<script language="JavaScript" type="text/javascript" src="'. $context['PMx_scripturl'] .'AdminBlocks.js"></script>';

		// Load the Admin tabs
		$context[$context['admin_menu_name']]['tab_data'] = array(
			'title' => &$txt['pmx_settings'],
			'tabs' => array(
				'globals' => array(
				'description' => $txt['pmx_admSet_desc_global'],
				),
				'panels' => array(
				'description' => $txt['pmx_admSet_desc_panel'],
				),
				'frontpage' => array(
				'description' => $txt['pmx_admSet_desc_front'],
				),
				'control' => array(
				'description' => $txt['pmx_admSet_desc_control'],
				),
			),
		);

		// load language and execute template
		loadLanguage($context['PMx_templatedir'] .'AdminSettings');
		loadTemplate($context['PMx_templatedir'] .'AdminSettings');
	}
}
?>