<?php
/** 
* @file html.php
* Systemblock HTML
*
* @author PortaMx - Portal Management Extension
* @author Copyright 2008-2009 by PortaMx - http://portamx.com
* @Version: 0.957
* @Date: 11.03.2009
*/

if(!defined('PortaMx'))
	die('This file can\'t be run without PortaMx');

/**
* @class pmxc_html
* Systemblock HTML
* @see html.php
* @author Copyright by PortaMx - http://portamx.com
*/
class pmxc_html extends PortaMxC_SystemBlock
{
	/**
	* ShowContent
	* Check for PHP inside, prepare the content and save in $this->cfg['content'].
	* Also check for tease the content.
	*/
	function pmxc_ShowContent()
	{
		global $context, $txt;

		// check for inside php code
		$phpcount = preg_match_all('~<(\?)(php)(.*)\\1>~ims', $this->cfg['content'], $matches, PREG_PATTERN_ORDER);
		if($phpcount != 0)
		{
			for($i=0; $i < $phpcount; $i++)
				$this->cfg['content'] = str_replace($matches[0][$i], eval($matches[3][$i]), $this->cfg['content']);
		}

		// check for tease
		if(isset($this->cfg['config']['settings']['teaser']) && !empty($this->cfg['config']['settings']['teaser']))
		{
			$tmpContent = '
					<div id="teasedhtml'. $this->cfg['id'] .'">'. trim(PortaMx_Tease_posts($this->cfg['content'], 100000, false));
			if($context['PortaMx']['is_teased'])
			{
				$tmpContent .= '
						<div class="smalltext" style="margin-top: 5px; text-align:'.(empty($context['right_to_left']) ? 'right' : 'left').';"><a href="#" onclick="ShowHTML(\''. $this->cfg['id'] .'\')">'. $txt['pmx_readmore'] .'</a></div>
					</div>';
				$this->cfg['content'] = $tmpContent .= '
					<div id="fullhtml'. $this->cfg['id'] .'" style="display:none;">'. $this->cfg['content'] .'
						<div class="smalltext" style="margin-top: 5px; text-align:'.(empty($context['right_to_left']) ? 'right' : 'left').';"><a href="#" onclick="ShowHTML(\''. $this->cfg['id'] .'\')">'. $txt['pmx_readclose'] .'</a></div>
					</div>';
			}
			else
				unset($tmpContent);
		}

		// Write out the content
			echo '
'. $this->cfg['content'];
	}
}
?>