<?php
/** 
* @file html_adm.php
* Admin Systemblock html
*
* @author PortaMx - Portal Management Extension
* @author Copyright 2008-2009 by PortaMx - http://portamx.com
* @Version: 0.957
* @Date: 11.03.2009
*/

if(!defined('PortaMx'))
	die('This file can\'t be run without PortaMx');

global $context, $txt;

/// Registerblock setup (description & icon)
$context['PortaMx']['RegisterBlocks']['html'] = array(
		'description' => $txt['pmx_html_description'],
		'blocktype' => $txt['pmx_sysblock'],
		'icon' => 'html',
);

/**
* @class pmxc_html_adm
* Admin Systemblock html_adm
* @see html_adm.php
* @author Copyright by PortaMx - http://portamx.com
*/
class pmxc_html_adm extends PortaMxC_SystemAdminBlock
{
	/**
	* AdmBlock_settings().
	* Setup the config vars and output the block settings.
	* Returns the css classes they are used.
	*/
	function pmxc_AdmBlock_settings()
	{
		global $context, $txt;

		// define the settings options
		echo '
					<td valign="top" style="padding:4px;">
						<input type="hidden" name="config[settings]" value="" />';

		// show the settings screen
		echo '
						<div class="titlebg adm_titlebar">'. $txt['pmx_htmlsettings_title'] .'</div>

						<div class="adm_check">
							<span class="adm_w80">'. $txt['pmx_html_teaser'] .'
								<img class="info_toggle" onclick=\'Show_help("pmxHTMLH01")\' src="'. $context['PMx_imageurl'] .'information.gif" alt="*" title="'. $txt['pmx_information_icon'] .'" />
							</span>
							<input type="hidden" name="config[settings][teaser]" value="0" />
							<div><input class="check" type="checkbox" name="config[settings][teaser]" value="1"' .(isset($this->cfg['config']['settings']['teaser']) && !empty($this->cfg['config']['settings']['teaser']) ? ' checked="checked"' : ''). ' /></div>
						</div>
						<div id="pmxHTMLH01" class="info_frame" style="margin-top:4px;">'. $txt['pxm_html_teasehelp'] .'</div>
					</td>';

		// return the used classnames
		return $this->block_classdef;
	}

	/**
	* AdmBlock_content().
	* Load the WYSIWYG Editor, to create or edit the content.
	* Returns the AdmBlock_settings
	*/
	function pmxc_AdmBlock_content()
	{
		global $txt;

		// show the content area
		echo '
					<td valign="top" colspan="2" style="padding:4px;">
						<div class="titlebg adm_center_titlebar">'. $txt['pmx_edit_content'] .'</div>';

						// load the wysiwyg editor
						PortaMx_EditContent_xhtml('content', $this->cfg['content']);

		echo '
					</td>
				</tr>
				<tr class="windowbg">';

		// return the default settings
		return $this->pmxc_AdmBlock_settings();
	}
}
?>