<?php
/** 
* @file php_adm.php
* Admin Systemblock php
*
* @author PortaMx - Portal Management Extension
* @author Copyright 2008-2009 by PortaMx - http://portamx.com
* @Version: 0.957
* @Date: 11.03.2009
*/

if(!defined('PortaMx'))
	die('This file can\'t be run without PortaMx');

global $context, $txt;

/// Registerblock setup (description & icon)
$context['PortaMx']['RegisterBlocks']['php'] = array(
		'description' => $txt['pmx_php_description'],
		'blocktype' => $txt['pmx_sysblock'],
		'icon' => 'php',
);

/**
* @class pmxc_php_adm
* Admin Systemblock php_adm
* @see php_adm.php
* @author Copyright by PortaMx - http://portamx.com
*/
class pmxc_php_adm extends PortaMxC_SystemAdminBlock
{
	/**
	* AdmBlock_content().
	* Open a textarea, to create or edit the content.
	* Returns the AdmBlock_settings
	*/
	function pmxc_AdmBlock_content()
	{
		global $txt;

		// show the content area
		echo '
					<td valign="top" colspan="2" style="padding:4px;">
						<div class="titlebg adm_center_titlebar">'. $txt['pmx_edit_content'] .'</div>
						<textarea class="adm_txt" rows="20" cols="85" name="content" id="content">'. htmlspecialchars($this->cfg['content']) .'</textarea>
					</td>
				</tr>
				<tr class="windowbg">';

		// return the default settings
		return $this->pmxc_AdmBlock_settings();
	}
}
?>