/** 
* @file AdminPopups.js
* Popup Javascript functions
*
* @author PortaMx - Portal Management Extension
* @author Copyright 2008-2009 by PortaMx - http://portamx.com
* @Version: 0.957
* @Date: 11.03.2009
*/

var popup_width = 620;
var popup_height = 650;

/// Popup window for Admin manual
function AdmDocWindow(url)
{
	var ofsL = (screen.availWidth - popup_width) / 2;
	var hWnd = window.open(url, "template_manual", "width=" + popup_width + ",height=" + popup_height + ",left="+ofsL+",top=20,resizable=0,scrollbars=0,location=0,menubar=0,status=0,toolbar=0,titlebar=0");
	DocWindowResize(hWnd);
	return false;
}

/// Resize popup window
function DocWindowResize(hWnd)
{
	hWnd.resizeTo(popup_width, popup_height);
	hWnd.focus();
}

/// Show a animated load icon
function PageLoadStart(url)
{
	document.getElementById("pmxman_PgLoad").style.display = "";
	AdmDocWindow(url);
	return false;
}

/// Stop animation
function PageLoadStop()
{
	document.getElementById("pmxman_PgLoad").style.display = "none";
	DocWindowResize(window);
}

/// Toggle Detailed filelist
function ToggleFileList(elm)
{
	var show = document.getElementById(elm).style.display;
	document.getElementById(elm).style.display = (show == "" ? "none" : "");
}
