<?php
/** 
* @file Admin.english.php
* Language file Admin.english
*
* @author PortaMx - Portal Management Extension
* @author Copyright 2008-2009 by PortaMx - http://portamx.com
* @Version: 0.957
* @Date: 11.03.2009
*/

// Admin Center
$txt['pmx_admin_center'] = 'PortaMx Administration Center';
$txt['pmx_admin_main_welcome'] = 'This is your "'. $txt['pmx_admin_center'] .'"
	From here, you can edit settings and maintain your blocks.
	You may also find answers to your questions by clicking the Help symbols %s for more information on the related functions.';

$txt['pmx_center_news'] = 'Live information from PortaMx corp.';
$txt['pmx_center_support'] = 'PortaMx Support informations';
$txt['pmx_center_versioninfo'] = '<b>Version information</b>';
$txt['pmx_center_installed'] = 'Installed PortaMx version: ';
$txt['pmx_center_version'] = 'Current PortaMx version: ';
$txt['pmx_center_download'] = '<b>Download the current version</b>';
$txt['pmx_center_update'] = '<b>Install now !</b>';
$txt['pmx_center_detailed'] = '[<b>Show more detailed information</b>]';
$txt['pmx_center_nolivedata'] = 'Can\'t read information from PortaMx document server';
$txt['pmx_center_mansettings'] = '<b>Settings Manager</b>';
$txt['pmx_center_mansettings_desc'] = 'Change or set options for the Panels, the Frontpage and for the Blocks Manager.';
$txt['pmx_center_manblocks'] = '<b>Blocks Manager</b>';
$txt['pmx_center_manblocks_desc'] = 'Change or set options on the Blocks, create new, move between panels and delete.';
$txt['pmx_center_manlangs'] = '<b>Language Manager</b>';
$txt['pmx_center_manlangs_desc'] = 'Search for additional languages, Install new, Update or Remove installed languages.';
$txt['pmx_center_manadmin'] = '<b>Admin Manual</b>';
$txt['pmx_center_manadmin_desc'] = 'The Administrator handbook for PortaMx. You can read this book online..';
$txt['pmx_center_error'] = 'An error has occurred!';

// File check
$txt['pmx_center_vercheck'] = 'Detailed Version Check';
$txt['pmx_center_vercheck_info'] = 'This shows you the versions of your installation\'s files versus those of the latest version. 
	If any of these files are out of date, you should download and upgrade to the latest version.';
$txt['pmx_filepackage'] = 'PortaMx package';
$txt['pmx_source_files'] = 'Source files';
$txt['pmx_template_files'] = 'Template files';
$txt['pmx_language_files'] = 'Language files';
$txt['pmx_center_file'] = '<b>PortaMx files</b>';
$txt['pmx_center_filecurrent'] = '<b>Current Version</b>';
$txt['pmx_center_fileinstalled'] = '<b>Installed Version</b>';
$txt['pmx_center_filename'] = '<b>Filename</b>';
$txt['pmx_center_fileversion'] = '<b>File Version</b>';
$txt['pmx_center_filedate'] = '<b>File Date</b>';

// Language manager
$txt['pmx_center_showlang'] = 'Language Manager';
$txt['pmx_center_showlang_info'] = 'This shows you the installed languages. 
	You can add new languages, update or remove installed languages.';
$txt['pmx_processing'] = '<b>Processing</b>';
$txt['pmx_center_langinstalled'] = 'Installed languages';
$txt['pmx_center_langname'] = 'Language Name';
$txt['pmx_center_langcharset'] = 'Character Set';
$txt['pmx_center_langversion'] = 'Version';
$txt['pmx_center_langaction'] = 'Action you do';
$txt['pmx_center_langavailable'] = 'Available languages on PortaMx.com';
$txt['pmx_center_fetchlang_failed'] = 'Can\'t read language data from PortaMx';
$txt['pmx_center_langinstall'] = 'Install';
$txt['pmx_center_langupdate'] = 'Update';
$txt['pmx_center_langdelete'] = 'Delete';
$txt['pmx_confirm_langdelete'] = 'Are you sure you want to delete this language?';
$txt['pmx_confirm_langreplace'] = 'The language which you want to install is already exist. Replace?';
$txt['pmx_confirm_langupdate'] = 'Do you want to replace the installed language by the newer version?';
$txt['pmx_center_langdelfailed'] = 'Can\'t delete all files, because one or more files are not removable.';
$txt['pmx_center_langinstfailed'] = 'Can\'t install or update all files, because one or more files are not writable.';
$txt['pmx_center_langfetchfailed'] = 'Can\'t retrieve language install informations from source Server.';
$txt['pmx_center_langdelerror'] = 'An error has occurred on language delete!';
$txt['pmx_center_langinsterror'] = 'An error has occurred on language install!';

// AdminSettings
$txt['pmx_admSet_globals'] = 'Globals';
$txt['pmx_admSet_panels'] = 'Panels';
$txt['pmx_admSet_front'] = 'Frontpage';
$txt['pmx_admSet_control'] = 'Manager settings';

$txt['pmx_admSet_desc_global'] = 'Configure the global settings.';
$txt['pmx_admSet_desc_panel'] = 'Configure the global panel setting.';
$txt['pmx_admSet_desc_front'] = 'Configure the frontpage settings.';
$txt['pmx_admSet_desc_control'] = 'Configure the Block Manager control settings.';

// AdminBlocks
$txt['pmx_admBlk_desc'] = 'Manage your blocks with edit, move, create or delete.';
$txt['pmx_blocks_mod'] = 'PortaMx Block Manager moderation';
$txt['pmx_admBlk_desc_mod'] = ' Note, that not all functions available on moderate';
$txt['pmx_admBlk_panels'] = array(
	'all' => 'Panel overview',
	'top' => 'Top',
	'left' => 'Left',
	'right' => 'Right', 
	'bottom' => 'Bottom',
	'front' => 'Frontpage',
	'pages' => 'Single Pages',
);

// default for access
$txt['pmx_guest'] = 'Guests';
$txt['pmx_ungroupedmembers'] = 'Ungrouped members';

// panel / block overflow actions
$txt['pmx_overflow_actions'] = array(
	'' => 'none',
	'auto' => 'Let\'s do the Browser',
	'hidden' => 'Clip at frame');

// for default_block settings
$txt['pmx_defaultsettings_title'] = 'Default settings';
$txt['pmx_defaultsettings'] = 'This block type has no settings.';
$txt['pmx_default_header_none'] = 'Not show';
$txt['pmx_default_header_asbody'] = 'as body';
$txt['pmx_default_none'] = 'none';

$txt['pmx_information_icon'] = 'Click for more Information';
$txt['pmx_save'] = 'Save';
$txt['pmx_actionfault'] = 'Illegal request reached!';

$txt['pmx_sysblock'] = 'Systemblock';
$txt['pmx_userblock'] = 'Userblock';
// Block description
$txt['pmx_boardnews_description'] = 'Board News';
$txt['pmx_default_description'] = 'Default';
$txt['pmx_download_description'] = 'Download';
$txt['pmx_html_description'] = 'HTML';
$txt['pmx_newposts_description'] = 'New Posts';
$txt['pmx_php_description'] = 'PHP';
$txt['pmx_recent_post_description'] = 'Recent Post';
$txt['pmx_recent_topics_description'] = 'Recent Topics';
$txt['pmx_script_description'] = 'Script';
$txt['pmx_statistics_description'] = 'Statistics';
$txt['pmx_theme_select_description'] = 'Theme Select';
$txt['pmx_user_login_description'] = 'User Login';
$txt['pmx_cbt_navigator_description'] = 'CBT Navigator';
$txt['pmx_bbc_script_description'] = 'BBC Script';
$txt['pmx_rss_reader_description'] = 'RRS Reader';
$txt['pmx_shoutbox_description'] = 'Shout box';
?>