<?php
/** 
* @file AdminBlocks.english.php
* Language file AdminBlocks.english
*
* @author PortaMx - Portal Management Extension
* @author Copyright 2008-2009 by PortaMx - http://portamx.com
* @Version: 0.957
* @Date: 11.03.2009
*/

// Block overview
$txt['pxm_sideblock'] = array(
	'top' => 'Top center blocks',
	'bottom' => 'Bottom center blocks',
	'left' => 'Left side blocks',
	'right' => 'Right side blocks',
	'front' => 'Frontpage blocks',
	'pages' => 'Single page blocks',
);
$txt['pxm_add_sideblock'] = array(
	'top' => 'Click to add top center block',
	'bottom' => 'Click to add bottom center block',
	'left' => 'Click to add left side block',
	'right' => 'Click to add right side block',
	'front' => 'Click to add frontpage block',
	'pages' => 'Click to add page block',
);

$txt['pxm_edit_sideblock'] = 'Click to edit this block';
$txt['pxm_move_sideblock'] = 'Click to move this block to a other side';
$txt['pxm_delete_sideblock'] = 'Click to delete this block';
$txt['pmx_confirm_blockdelete'] = 'Are you sure you want to delete this Block?';

$txt['pmx_admBlk_order'] = 'Order';
$txt['pmx_admBlk_adj'] = 'Adjust';
$txt['pmx_admBlk_title'] = 'Title';
$txt['pmx_admBlk_type'] = 'Block type';
$txt['pmx_admBlk_status'] = 'Status';
$txt['pmx_admBlk_options'] = 'Setting options';
$txt['pmx_admBlk_functions'] = 'Functions';

$txt['pxm_status_activ'] = 'Active';
$txt['pxm_status_inactiv'] = 'Inactive';
$txt['pxm_status_change'] = 'Click to change';
$txt['pxm_moveto'] = 'Move to:&nbsp;';

$txt['pmx_have_settings'] = 'Block has settings options';
$txt['pmx_have_groupaccess'] = 'Block has visibility access';
$txt['pmx_have_modaccess'] = 'Block has moderate access';
$txt['pmx_have_dynamics'] = 'Block has dynamic visibility options';
$txt['pmx_have_cssfile'] = 'Block has own style sheet file';
$txt['pmx_have_langfile'] = 'Block has own language file';
$txt['pmx_have_caching'] = 'Block caching:';

// Edit block
$txt['pxm_editblock'] = 'Edit ';
$txt['pxm_edit_title'] = 'Block title:';
$txt['pxm_edit_title_lang'] = 'Language:';
$txt['pxm_edit_title_align'] = 'Align:';
$txt['pxm_edit_pagename'] = 'Page name:';
$txt['pxm_edit_pagenamehelp'] = 'You can use any name with the chars <b>a-z, A-Z, 0-9</b>, underscore(<b>_</b>), dot(<b>.</b>) and hyphen(</b>-</b>).';
$txt['pxm_edit_titleicon'] = 'Title icon:';
$txt['pxm_edit_no_icon'] = 'no icon';

$txt['pxm_edit_title_helpalign'] = 'Click to set Title align ';
$txt['pxm_edit_title_align_types'] = array(
	'left' => 'Left',
	'center' => 'Center',
	'right' => 'Right'
);
$txt['pxm_edit_type'] = 'Block type:';
$txt['pxm_edit_cache'] = 'Enable cache:';
$txt['pxm_edit_cachetime'] = 'Time:';
$txt['pxm_edit_cachetimemin'] = 'Min';

$txt['pxm_edit_titlehelp'] = 'Enter a title for each language you have.';
$txt['pxm_edit_cachehelp'] = 'If enabled, the content is saved and refreshed after given time. You can use the multiplicator "*" like "24*60" for one day.';
$txt['pxm_edit_nocachehelp'] = 'The cache is disabled for this block type.';

$txt['pmx_edit_content'] = 'Create or edit the content';

$txt['pmx_edit_visuals'] = 'Visual settings and CSS classes';
$txt['pxm_edit_cancollapse'] = 'Can collapse:';
$txt['pxm_edit_overflow'] = 'Overflow action:';
$txt['pxm_edit_maxheight'] = 'Max height:';
$txt['pmx_pixel_blank'] = ' Pixel or leave blank';

$txt['pxm_edit_cssfilename'] = 'CSS File:';
$txt['pmx_edit_usedclass_type'] = 'Type name';
$txt['pmx_edit_usedclass_style'] = 'Assigned style class';
$txt['pmx_edit_canhavecssfile'] = 'Select a cssfile or leave blank';

$txt['pmx_edit_groups'] = 'Block visibility access settings';
$txt['pmx_edit_groups_help'] = 'Choose your membergroups that will able to see this block.
		If none are chosen, it will only show it to admin.';

$txt['pmx_edit_modgroups'] = 'Block moderate access settings';
$txt['pmx_edit_modgroups_help'] = 'Choose your membergroups that can moderate the settings. '.
		'If none are chosen, only the admin can change the settings.';
$txt['pmx_edit_modgroups_off'] = 'On moderate, this settings can\'t change.';

$txt['pmx_edit_ext_opts'] = 'Dynamic visibility options';
$txt['pmx_edit_ext_opts_help'] = 'If you choose any of these dynamic visibility options, the block will show <b>just</b> on these, nowhere else.
		To display the block without any dynamic visibility, leave <b>all unselected</b>.';
$txt['pmx_edit_ext_opts_morehelp'] = '<br />To select or unselect one or more options, hold down the <b>Ctrl Key</b> and <b>click</b> on the items. To toggle the <b>Show/Hide</b> indicator(<b>^</b>),
		also hold down the <b>Ctrl Key</b> and take a <b>double click</b> (<b>IE needs three clicks!)</b> on the item.<br />
		<u><b>How does it work?</b></u><br />
		<b>Show</b>: If you want to indicate the block only with to one or more actions, boards or languages, then select these.<br />
		<b>Hide</b>: If you want to always indicate the block, only with one or more actions, boards or languages not, then select these with a double click (you see a <b>^</b> at the front) and additionally <b>any</b>.
		Please note that you are <b>any</b> option can use only once!<br />
		<b>Examples</b>:<br />Select the actions "Admin" and "Calendar".. The block shows only on Admin and Calendar.<br />
		Select "any" and the action "<b>^</b>Admin" .. The block shows always but not on Admin.';

$txt['pmx_edit_ext_opts_action'] = 'Show or Hide the block on action';
$txt['pmx_edit_ext_opts_custaction'] = 'Show or Hide the block on custom action';
$txt['pmx_edit_ext_opts_boards'] = 'Show or Hide the block on board';
$txt['pmx_edit_ext_opts_languages'] = 'Show or Hide the block on language';
$txt['pmx_edit_ext_opts_custom'] = 'Enter action';

$txt['pmx_edit_ext_opts_custhelp'] = 'Here you can enter any other actions, separated by a comma.
		To <b>Hide</b> the block for a action, enter a <b>^</b> at front of the name.
		You can also use the <b>any</b> action, to show/hide a block.<br />
		For <b>Single pages</b>, enter the page name with a <b>@</b> at the front, as example <b>@mypage</b> or <b>^@mypage</b>.
		You can also use page names with a dot (<b>.</b>) at the end. In this case the block is show or hide on pages, whose name up to the dot matched.<br />
		<b>Examples</b>: "mypage." matched <i>mypage</i>, <i>mypage.first</i> or <i>mypage22</i>.';
$txt['pmx_edit_ext_opts_selnote'] = 'To hide a block on one or more situations, select <b>[-any-]</b> and <b>^hide</b> the corresponding items.';

$txt['pmx_htmlsettings_title'] = 'Html block settings';
$txt['pmx_html_teaser'] = 'Enable the html teaser:';
$txt['pxm_html_teasehelp'] = 'You can insert a teaser mark in the html content. To do this, set the cursor to a suitable tease position, then click on the "<b>page-break</b>" icon in the editor.';

$txt['pmx_edit_ext_opts_any'] = '[-any-]';
$txt['pmx_action_names'] = array(
	'any' => $txt['pmx_edit_ext_opts_any'],
	'frontpage' => 'Frontpage',
	'pages' => 'Single pages',
	'forum' => 'Forum',
	'boards' => 'Boards',
	'topics' => 'Topics',
	'admin' => 'Admin',
	'calendar' => 'Calendar',
	'help' => 'Help',
	'login' => 'Login', 
	'logout' => 'Logout',
	'moderate' => 'Moderate',
	'mlist' => 'Memberlist',
	'pm' => 'Pers. Messages',
	'post' => 'Post Topic',
	'profile' => 'Profile',
	'recent' => 'Recent posts',
	'register' => 'Register',
	'stats' => 'Show stats', 
	'search' => 'Search',
	'unread' => 'Unread posts', 
	'unreadreplies' => 'Unread replies',
	'who' => 'Who',
);

$txt['pxm_edit_innerpad'] = 'Inner padding:';
$txt['pmx_pixel'] = ' Pixel';
$txt['move_up'] = 'Move up';
$txt['move_down'] = 'Move down';
?>