<?php
/** 
* @file pmx_preset.php
* Database update file (patch reset).
*
* @author PortaMx - Portal Management Extension
* @author Copyright 2008-2009 by PortaMx - http://portamx.com
* @Version: 0.957
* @Date: 11.03.2009
*/

global $smcFunc;

// set intalled state for PortaMx patches to 0
$request = $smcFunc['db_query']('', '
	SELECT id_install, version
	FROM {db_prefix}log_packages
	WHERE (package_id = {string:pktid} 
		OR package_id like {string:pktpatchid}) 
		AND version IN ({array_string:vers}) 
		AND install_state > 0',
	array(
		'pktid' => 'portamx_corp:PortaMx',
		'pktpatchid' => 'portamx_corp:PMx_patch%',
		'vers' => array('0.952', '0.955', '0.956', '0.957'),
	)
);
if($smcFunc['db_num_rows']($request) > 0)
{
	while($row = $smcFunc['db_fetch_assoc']($request))
	{
		$smcFunc['db_query']('', '
			UPDATE {db_prefix}log_packages
			SET install_state = 0
			WHERE id_install = {int:id}',
			array('id' => $row['id_install'])
		);
	}
	$smcFunc['db_free_result']($request);
}
?>
